## python-termstyle 0.1.10

=== Makefile ===
0:
	mkzero-gfxmonk \
		-v `cat VERSION` \
		-p termstyle.py \
		-p setup.py \
		python-termstyle.xml

pypi:
	./setup.py register sdist upload

=== debian/changelog ===
python-termstyle (0.1.10-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

  [ Thomas Goirand ]
  * Add missing dh-python build-depends.
  * Removed inactive uploaders.
  * Bumped debhelper to 10.
  * Removed Pre-Depends: dpkg (>= 1.15.6~).
  * Removed version of python-all b-d.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Apr 2018 17:32:07 +0200

python-termstyle (0.1.10-1) unstable; urgency=low

  * Initial release. (Closes: #742599)

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Mar 2014 18:22:46 +0800

=== debian/control ===
Source: python-termstyle
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-termstyle
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-termstyle.git
Homepage: http://gfxmonk.net/dist/0install/python-termstyle.xml

Package: python-termstyle
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Description: console colouring for python - Python 2.x
 Termstyle is a simple Python library for adding coloured output to terminal
 (console) programs. The definitions come from ECMA-048, the "Control Functions
 for Coded Character Sets" standard.
 .
 This package contains the Python 2.x module.

Package: python3-termstyle
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: console colouring for python - Python 3.x
 Termstyle is a simple Python library for adding coloured output to terminal
 (console) programs. The definitions come from ECMA-048, the "Control Functions
 for Coded Character Sets" standard.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT := https://github.com/gfxmonk/termstyle.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-termstyle; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-termstyle; \
	done

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/t/termstyle termstyle-(.*).tar.gz
